Bug 1551326 - No more automagic Python bytecompilation
Summary: No more automagic Python bytecompilation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard: ChangeAcceptedF29,SelfContainedChange
Depends On: 1558192
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-04 18:35 UTC by Jan Kurik
Modified: 2018-11-30 17:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:04:48 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-03-04 18:35:20 UTC
This is a tracking bug for Change: No more automagic Python bytecompilation
For more details, see: https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompilation

The current way of automatic Python byte-compiling of files outside Python-specific directories is too magical and error-prone. It is built on heuristics that are increasingly wrong.
We will provide a way to opt-out of it and adjust the guidelines to prefer explicit bytecompilation of such files. Later, the old behavior will be opt-in only or will cease to exist.
Note that bytecompilation in Python-specific directories (e.g. /usr/lib/python3.6/) is not affected.

Comment 1 Miro Hrončok 2018-04-24 09:52:40 UTC
Upstream PR: https://github.com/rpm-software-management/rpm/pull/434

Comment 2 Miro Hrončok 2018-06-21 13:54:51 UTC
The guidelines were adapted. This remains open, because we promised to deliver changes for the py3 packages.

Comment 3 Jan Kurik 2018-08-14 11:14:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2018-08-14 13:13:04 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 5 Miro Hrončok 2018-08-14 13:48:57 UTC
All the necessary changes in packaging are done.

Consumers (packages) were not changed by us yet, but that is fine.

Comment 6 Ben Cotton 2018-11-30 17:04:48 UTC
This Change appears to have been implemented for Fedora 29. If it is not closed, please let me know so I can re-open it against Rawhide.


Note You need to log in before you can comment on or make changes to this bug.